<?php
namespace Incoviba\nuevo\Inmobiliaria;

use Incoviba\Common\Alias\NewModel;

/**
 * 
 * @author Aldarien
 * @property int id
 * @property Inmobiliaria inmobiliaria_rut
 * @property Socio socio_rut
 * @property double participacion
 *
 */
class Participacion extends NewModel
{
    protected static $_table = 'participaciones';
    
    public function inmobiliaria()
    {
    	return $this->belongsTo(Inmobiliaria::class, 'inmobiliaria_rut', 'rut')->findOne();
    }
    public function socio()
    {
    	return $this->belongsTo(Socio::class, 'socio_rut', 'rut')->findOne();
    }
}
